body {
  background-color: #0B1C3B;
  font-family: "segoe UI", sans-serif; 
  margin: 0;
  min-height: 100vh;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

.galaxy{
  width: 800px;
  height: 95vh;
  border: 2px solid rgba(255,255,255,0.15);
  border-radius: 20px;
  background: radial-gradient(ellipse at bottom, #1b2a55 0%, #0B1C3B 70%);
  box-shadow: 0 0 38px rgba(122, 75, 168, 0.4);
  position: relative;
  overflow: hidden;
  
  background-image: url("https://i.pinimg.com/webp/736x/24/69/23/246923a21517d1080f8aba492dc7d213.webp");
  background-size: cover;
  background-position: center;
} 
  
.galaxy::before { 
  content: "";
  position: absolute; 
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: 
  radial-gradient(circle at 20% 20%, white 2px, transparent 3px),
  radial-gradient(circle at 70% 30%, white 1px, transparent 2px),
  radial-gradient(circle at 40% 80%, white 2px, transparent 3px);
  background-repeat: repeat;

} 



.galaxy::before,
.galaxy::after {
pointer-events: none !important;

}

.content { 
  position: relative;
  z-index: 2;
  text-align: center;
  margin-top: 40px;
} 

h1 { 
  font-size: 60px;
  margin: 0px;
  color: #D58BE8;
  text-shadow: 0 0 10px #D58BE8;
}

.korean { 
  font-size: 60px;
  color: #D58BE8;
  margin-left: 10px;
} 

.welcome { 
  font-size: 16px;
  color: #D5ABEB;
  margin-top: 10px;
}

.planet.korea .planet-image { 
  width: 140px;
  height: 140px;
  border-radius: 50%;
  background: radial-gradient(circle at 38% 38%, #D58BE8, #7A4BAB, #0B1C3B);
  position: relative;
  box-shadow: 0 0 25px #D58BE8, 0 0 50px #7A4BAB; 
  transform: rotate(20deg);
} 

.planet-image::after {
  content: "";
  position: absolute;
  width: 180px;
  height: 180px;
  top: 50px;
  left: 50px;
  transform: translate(-50%, -50%);
  
  border-radius: 50%;
   
  background: radial-gradient(circle, rgba(122, 75, 171, 0.4), transparent 70%);
  z-index: -1;
} 

.planet-name { 
  margin-top: 12px; 
  font-size: 14px;
  letter-spacing: 1px;
   font-weight: bold;
   font-family: "Helvetica", sans-serif;
   color: #D5EEE8;
   pointer-events: none;
} 

.planet {
  position: absolute;
  display: block;
  text-decoration: none;
  color: inherit;
  cursor: pointer;
  z-index: 10;
}

.planet * {
  pointer-events: none;
}

.planet.korea { 
  position: absolute;
  top: 25%;
  right: 10%; 
  text-align: center;
  text-decoration: none;
  color: #D38BE8;
  transition: transform 0.3s ease;
} 

.planet.korea:hover { 
  transform: scale(1.1) rotate(5deg);
} 

.planet.japan {
  position: absolute;
  top: 55%;
  right: 15%;
}

.planet.japan:hover {
  transform: scale(1.1) rotate(-5deg);
}

.planet.japan .planet-image {
  width: 140px;
  height: 140px;
  border-radius: 50%;

  background: radial-gradient(circle at 38% 38%, #6EC9E8, #2B6F8A, #0B1C3B);

  box-shadow: 0 0 25px #6EC9E8, 0 0 50px #2B6F8A;
  position: relative;
}

.planet.games {
  position: absolute;
  top: 50%;
  right: 45%;
}

.planet.games:hover {
  transform: scale(1.1) rotate(5deg);
  transition: transform 0.3s ease;
}

.planet.games .planet-image {
  width: 140px;
  height: 140px;
  border-radius: 50%;

  background: radial-gradient(circle at 38% 38%, #7A4BA8, #3A1F55, #0B1C3B );

  box-shadow: 0 0 25px #7A4BA8, 0 0 50px #3A1F55;
  position: relative;
}

.planet.dream {
  position: absolute;
  top: 25%;
  right: 70%;
}

.planet.dream:hover {
  transform: scale(1.1) rotate(-5deg);
  transition: transform 0.3s ease;
}

.planet.dream .planet-image {
  width: 140px;
  height: 140px;
  border-radius: 50%;

  background: radial-gradient(circle at 38% 38%, #F6D48F, #D6B35A, #0B1C3B );

  box-shadow: 0 0 25px #F6D48F, 0 0 50px #D6B35A;
  position: relative;
}

